/*
 * Decompiled with CFR 0.152.
 */
package com.deepexi.scd.calculate.enums;

import java.util.HashMap;
import java.util.Map;

public enum IntReportGHGEnum {
    CO2(0, 0, "CO₂ 二氧化碳排放量", "二氧化碳排放量", "CO₂"),
    CH4(1, 0, "CH₄ 甲烷排放量", "甲烷排放量", "CH₄"),
    N20(2, 0, "N₂O  一氧化二氮排放量", "氧化亚氮排放量", "N₂O"),
    HFCS(3, 0, "HFCs 氢氟碳化物排放量", "氢氟碳化物排放量", "HFCs"),
    PFCS(4, 0, "PFCs 全氟碳化物排放量", "全氟碳化物排放量", "PFCs"),
    SF6(5, 0, "SF₆六氟化硫排放量", "六氟化硫排放量", "SF₆"),
    NF3(6, 0, "NF₃三氟化氮排放量", "三氟化氮排放量", "NF₃");

    private final Integer code;
    private final Integer type;
    private final String cdpName;
    private final String esgName;
    private final String chemicalFormula;

    private IntReportGHGEnum(Integer code, Integer type, String cdpName, String esgName, String chemicalFormula) {
        this.code = code;
        this.type = type;
        this.cdpName = cdpName;
        this.esgName = esgName;
        this.chemicalFormula = chemicalFormula;
    }

    public static Map<Integer, IntReportGHGEnum> getCDPNameMap() {
        IntReportGHGEnum[] values;
        HashMap<Integer, IntReportGHGEnum> map = new HashMap<Integer, IntReportGHGEnum>();
        for (IntReportGHGEnum value : values = IntReportGHGEnum.values()) {
            if (value.getType() < 0) continue;
            map.put(value.getCode(), value);
        }
        return map;
    }

    public static Map<Integer, IntReportGHGEnum> getESGNameMap() {
        IntReportGHGEnum[] values;
        HashMap<Integer, IntReportGHGEnum> map = new HashMap<Integer, IntReportGHGEnum>();
        for (IntReportGHGEnum value : values = IntReportGHGEnum.values()) {
            if (value.getType() > 0) continue;
            map.put(value.getCode(), value);
        }
        return map;
    }

    public static Map<Integer, String> getESGNameMap1() {
        IntReportGHGEnum[] values;
        HashMap<Integer, String> map = new HashMap<Integer, String>();
        for (IntReportGHGEnum value : values = IntReportGHGEnum.values()) {
            if (value.getType() > 0) continue;
            map.put(value.getCode(), value.getEsgName());
        }
        return map;
    }

    public Integer getCode() {
        return this.code;
    }

    public Integer getType() {
        return this.type;
    }

    public String getCdpName() {
        return this.cdpName;
    }

    public String getEsgName() {
        return this.esgName;
    }

    public String getChemicalFormula() {
        return this.chemicalFormula;
    }
}

